import Layout from '@/views/layout/Layout'

export default {
  path: '/dialysis/',
  component: Layout,
  redirect: 'noredirect',
  name: 'dialysis',
  alwaysShow: true,
  meta: {
    title: 'dialysis',
    icon: 'touxi'
  },
  children: [
    // {
    //   path: '/dialysis/home',
    //   component: () => import('@/xt_pages/home/index'),
    //   name: 'home',
    //   meta: {
    //     title: 'home',
    //     noCache: true
    //   }
    // },
    {
      path: '/dialysis/watch',
      component: () => import('@/xt_pages/dialysis/bloodPresssWatch'),
      name: 'watch',
      meta: {
        title: 'watch',
        noCache: true
      }
    },
    // {
    //   path: '/dialysis/board',
    //   component: () => import('@/xt_pages/dialysis/bulletinBoard'),
    //   name: '数据看板',
    //   meta: {
    //     title: '数据看板',
    //     noCache: true
    //   }
    // },
    // {
    //   path: '/dialysis/dialysisDoctorAdvice',
    //   component: () => import('@/xt_pages/dialysis/dialysisDoctorAdvice'),
    //   name: '透析医嘱',
    //   meta: {
    //     title: '透析医嘱',
    //     noCache: true
    //   }
    // },
    {
      path: '/dialysis/dialysisDoctorAdvice',
      component: () => import('@/xt_pages/dialysis/newDoctorAdvice'),
      name: '透析医嘱',
      meta: {
        title: '透析医嘱',
        noCache: true
      }
    },
    {
      path: '/dialysis/doctorAdvicePrint',
      component: () => import('@/xt_pages/dialysis/doctorAdvicePrint'),
      name: '透析医嘱打印',
      hidden: true,
      is_menu: false,
      meta: {
        title: '透析医嘱打印',
        noCache: true
      }
    },

    {
      path: '/dialysis/doctorAdviceStaticPrint',
      component: () => import('@/xt_pages/dialysis/doctorAdviceStaticPrint'),
      name: '透析医嘱统计打印',
      hidden: true,
      is_menu: false,
      meta: {
        title: '透析医嘱统计打印',
        noCache: true
      }
    },

    {
      path: '/dialysis/signPrint',
      component: () => import('@/xt_pages/dialysis/signPrint'),
      name: '标签打印',
      hidden: true,
      is_menu: false,
      meta: {
        title: '标签打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/consumableDrugs',
      component: () => import('@/xt_pages/dialysis/consumableDrugs'),
      name: '耗材药品',
      meta: {
        title: '耗材药品',
        noCache: true
      }
    },
    // {
    //   path: '/dialysis/consumable/index',
    //   component: () => import('@/xt_pages/dialysis/details/consumable/index'),
    //   name: '透前准备',
    //   meta: {
    //     title: '透前准备',
    //     noCache: true
    //   }
    // },
    {
      path: '/dialysis/consumable/dialysisdrugprint',
      component: () => import('@/xt_pages/dialysis/details/consumable/dialysisDrugPrint'),
      name: '透析药品',
      meta: {
        title: '透析药品',
        noCache: true
      },
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumable/dialysisdrugcountprint',
      component: () => import('@/xt_pages/dialysis/details/consumable/dialysisDrugCountPrint'),
      name: '透析药品',
      meta: {
        title: '透析药品',
        noCache: true
      },
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumable/dialysisgoodprint',
      component: () => import('@/xt_pages/dialysis/details/consumable/dialysisGoodPrint'),
      name: '透前耗材',
      meta: {
        title: '透前耗材',
        noCache: true
      },
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumable/dialysisgoodcountprint',
      component: () => import('@/xt_pages/dialysis/details/consumable/dialysisGoodCountPrint'),
      name: '透前统计耗材',
      meta: {
        title: '透前统计耗材',
        noCache: true
      },
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumable/dialysis/print',
      component: () => import('@/xt_pages/dialysis/details/consumable/signPrint'),
      name: '标签打印',
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumable/dialysis/parameter/print',
      component: () => import('@/xt_pages/dialysis/details/consumable/dialysisParameterPrint'),
      name: '透析统计耗材',
      meta: {
        title: '透析统计耗材',
        noCache: true
      },
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumable/dialysis/count/print',
      component: () => import('@/xt_pages/dialysis/details/consumable/dialysisParameterCountPrint'),
      name: '透析参数耗材',
      meta: {
        title: '透析参数耗材',
        noCache: true
      },
      is_menu: false,
      hidden: true
    },
    {
      path: '/dialysis/consumableDrugs_print',
      component: () => import('@/xt_pages/dialysis/consumableDrugs_print'),
      hidden: true,
      is_menu: false,
      name: 'consumableDrugs_print',
      meta: {
        title: 'consumableDrugs_print',
        noCache: true
      }
    },
    {
      path: '/dialysis/dialysisDrugs_print',
      component: () => import('@/xt_pages/dialysis/dialysisDrugs_print'),
      hidden: true,
      is_menu: false,
      name: 'dialysisDrugs_print',
      meta: {
        title: 'dialysisDrugs_print',
        noCache: true
      }
    },
    {
      path: '/dialysis/dialysisParameters_print',
      component: () => import('@/xt_pages/dialysis/dialysisParameters_print'),
      hidden: true,
      is_menu: false,
      name: 'dialysisParameters_print',
      meta: {
        title: 'dialysisParameters_print',
        noCache: true
      }
    },

    {
      path: '/dialysis/allSummary_print',
      component: () => import('@/xt_pages/dialysis/allSummary_print'),
      hidden: true,
      is_menu: false,
      name: 'allSummary_print',
      meta: {
        title: 'allSummary_print',
        noCache: true
      }
    },
    {
      path: '/dialysis/allsummarydialog_print',
      component: () => import('@/xt_pages/dialysis/allSummaryDialog_print'),
      hidden: true,
      is_menu: false,
      name: 'allSummaryDialog_print',
      meta: {
        title: 'allSummaryDialog_print',
        noCache: true
      }
    },
    {
      path: '/dialysis/record/:id',
      component: () => import('@/xt_pages/dialysis/dialysisPage'),
      hidden: true,
      is_menu: false,
      name: 'paper',
      meta: {
        title: 'paper',
        noCache: true
      }
    },
    {
      path: '/dialysis/print',
      component: () => import('@/xt_pages/dialysis/dialysisPrintOrder'),
      hidden: true,
      is_menu: false,
      name: 'dialysisPrintOrder',
      meta: {
        title: 'dialysisPrintOrder',
        noCache: true
      }
    },

    // { path: 'advice', component: () => import('@/xt_pages/dialysis/doctorAdvice'), name: 'advice', meta: { title: 'advice' }},
    // { path: 'prepare', component: () => import('@/xt_pages/dialysis/dialysisPrepare'), name: 'prepare', meta: { title: 'prepare' }},

    {
      path: '/dialysis/details',
      component: () => import('@/xt_pages/dialysis/details'),
      name: 'details',
      meta: {
        title: 'details'
      },
      hidden: true,
      is_menu: false,
      noCache: true
    },
    {
      path: '/dialysis/print/batch',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/other',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_other'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/three',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_three'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_one',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/four',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_four'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_one',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/five',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_five'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_one',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/six',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_six'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_six',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/fiftynine',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_fiftynine'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_fiftynine',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/sixty',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_sixty'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_sixty',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/sixtyOne',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_sixtyOne'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_sixtyOne',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/seven',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_seven'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_seven',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/eight',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_eight'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_eight',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/nine',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_nine'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_nine',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/twelve',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_twelve'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twelve',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirteen',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirteen'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_thirteen',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/fifteen',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_fifteen'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_fifteen',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/seventeen',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_seventeen'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_seventeen',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/twenty',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_twenty'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twenty',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/twentyTwo',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_twentyTwo'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twentyTwo',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/twentyFive',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_twentyFive'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twentyFive',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    // {
    //   path: '/dialysis/print/batch/twentySeven',
    //   component: () =>
    //   import('@/xt_pages/dialysis/batch_print/batch_print_order_twentySeven'),
    //   hidden: true,
    //   is_menu: false,
    //   name: 'dialysis_batch_twentySeven',
    //   meta: {
    //     title: '批量打印',
    //     noCache: true
    //   }
    // },
    {
      path: '/dialysis/print/batch/twentyEight',
      component: () =>
      import('@/xt_pages/dialysis/batch_print/batch_print_order_twentyEight'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twentyFive',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirty',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirty'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_thirty',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtyTwo',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtyTwo'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_thirtyTwo',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtyThree',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtyThree'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_thirtyThree',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtySeven',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtySeven'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_thirtySeven',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtyEight',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtyEight'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_thirtyEight',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtyNine',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtyNine'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_thirtyNine',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/forty',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_forty'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_forty',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/fortyOne',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_fortyOne'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_fortyOne',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/fortyThree',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_fortyThree'),
      hidden: true,
      is_menu: false,
      name: 'batch_print_order_fortyThree',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtyThree_one',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtyThree_one'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_thirtyThree_one',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/thirtyThree_two',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_thirtyThree_two'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_thirtyThree_two',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/twentyTwo_one',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_twentyTwo_one'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twentyTwo_one',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/twentyTwo_two',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_twentyTwo_two'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_twentyTwo_two',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/otherone',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_other_one'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_one',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/othertwo',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_other_two'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_two',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/fiveone',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_five_one'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_two',
      meta: {
        title: '批量打印',
        noCache: true
      }
    },
    {
      path: '/dialysis/print/batch/fivetwo',
      component: () =>
        import('@/xt_pages/dialysis/batch_print/batch_print_order_five_two'),
      hidden: true,
      is_menu: false,
      name: 'dialysis_batch_print_two_two',
      meta: {
        title: '批量打印',
        noCache: true
      }
    }
  ]
}
